module MoviesHelper
  def add_showing_link(name)
    link_to_function name do |page|
      page.insert_html :bottom, :showings, :partial => 'showing', :object => Showing.new
    end
  end
  
  def fields_for_showing(showing, &block)
    prefix = showing.new_record? ? 'new' : 'existing'
    fields_for("movie[#{prefix}_showing_attributes][]", showing, &block)
  end
end
