class AddReviewsCountToMovies < ActiveRecord::Migration
  def self.up
    add_column :movies, :reviews_count, :integer, :default => 0
    execute "UPDATE movies SET reviews_count = (SELECT COUNT(*) FROM reviews WHERE movie_id = movies.id)"
  end

  def self.down
    remove_column :movies, :reviews_count
  end
end
